
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #137

Unknown tuple field name "encoder" messages on console

June 25, 2012 10:39 - Hans de Goede

Status: Closed Start date: June 25, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudtag Estimated time: 0.00 hour

Target version: 3.3   

Affects version: 3.3-alpha1   

Description

When I start audacious (tried with both 3.2.3 and 3.3-alpha1) from a terminal, and play certain music albums the terminal fills with:

"Unknown tuple field name "encoder".

messages.

History

#1 - June 26, 2012 00:18 - John Lindgren

certain music albums

 

What format?  I also play "certain music albums" and don't see the problem ... :)

#2 - June 26, 2012 10:19 - Hans de Goede

John Lindgren wrote:

certain music albums

 

What format?  I also play "certain music albums" and don't see the problem ... :)

 

Certain mp3 albums:

[hans@shalem ~]$ id3info Music/Favorites/Imperia/The\ Ancient\ Dance\ of\ Qetesh/Imperia\ -\ 01\ -\ Awakening.mp3

Tag information for Music/Favorites/Imperia/The Ancient Dance of Qetesh/Imperia - 01 - Awakening.mp3 === TIT2 (Title/songname/content

description): Awakening === TALB (Album/Movie/Show title): The Ancient Dance of Qetesh === TPE1 (Lead performer(s)/Soloist(s)): Imperia

=== TCON (Content type): Metal === TYER (Year): 2004 === TRCK (Track number/Position in set): 1/13 === TSSE (Software/Hardware and

settings used for encoding): Audiograbber 1.83.01, LAME dll 3.98, VBR 3 (Default method), Stereo, Normal quality

mp3 info

MPEG1/layer III

Bitrate: 128KBps

Frequency: 44KHz

A quick grep shows that the "encoder" tuple name gets set by either one of:

[hans@shalem master]$ grep -r encoder audacious-3.3-alpha1

audacious-3.3-alpha1/src/libaudtag/id3/id3v24.c:            associate_string (tuple, -1, "encoder", data, size);

audacious-3.3-alpha1/src/libaudtag/id3/id3v22.c:            associate_string (tuple, -1, "encoder", data, size);
And the error is caused by the " field_dict" dict  in "src/libaudcore/tuple.c" not having an encoder entry.

#3 - June 28, 2012 01:08 - John Lindgren

- Category set to libaudtag

- Target version set to 3.3

- % Done changed from 0 to 100

Fixed:

https://github.com/audacious-media-player/audacious/commit/ea91701fde7ec624b060e76359d5cb9afcde3a89

#4 - June 28, 2012 01:08 - John Lindgren

- Status changed from New to Closed
